// Intro
version 10
clear
set scheme s1mono
set memory 4m
	
// Data
use women eu sample survey ctrname weich  weight ///
  using ../repraes07/analysen/svydat02  ///
  if eu & survey != "Euromodule" & weich == 1

// Calculate fraction and sd of women Make Aggregate Data
preserve
collapse (mean) women eu sample (count) N = women ///
  , by(survey ctrname)
tempfile unw
save `unw'

// Weighted
restore
collapse (mean) weighted=women [aw=weight], by(survey ctrname)

// Merge
merge survey ctrname using `unw'
assert _merge==3
drop _merge

// Sort-Order for Countries
egen ctrsort = axis(eu ctrname), label(ctrname) gap reverse

// Confidence Intervalls
gen womenub = .5 + 1.96*sqrt(.5^2/N)
gen womenlb = .5 - 1.96*sqrt(.5^2/N)

// Separate by Quota
gen quota = sample==6      
separate women, by(quota)

compress
save example1, replace


