version 10
preserve
drop _all
capture use ESS_resultset
if _rc {
	run example5
	use ESS_resultset
	}


egen ctrname = iso3166(parm), origin(codes)

gen group:group = 2 if inlist(parm,"UA","HU","SK","EE","PL","CZ","SI")
replace group = 3 if inlist(parm,"TR","NO","CH","IS")
replace group = 1 if mi(group)
lab def group 1 "EU-15" 2 "Post socialist"  3 "Other"

egen groupmeans = mean(estimate), by(group)
egen axisgroup = axis(group estimate), label(ctrname) reverse gap

local opt `"ytitle("") xtick(4(1)8) nodraw leg(off) xscale(range(3.7 8.3))"'
local fsizes "50 27 23" // Trial and Error

forv i = 1/3 {
	local xlab = cond(`i'<3,"xlab(none)","xlab(4(1)8)")
	local marg = cond(`i'<3,"","graphregion(margin(l=10))")
	levelsof axisgroup if group == `i', local(ylab)
	graph twoway 		                                              ///
	  || line axisgroup groupmeans, lcolor(gs8)                     ///
	  || scatter axisgroup estimate, mcolor(black) ms(O)            ///
	  || rcap min95 max95 axisgroup, lcolor(black) horizontal       ///
	  || if group == `i' , `opt' `xlab' `marg'                      ///
	  ylab(`ylab', valuelabel angle(0) grid)                        ///
	  title(`:label (group) `i'', bexpand pos(12) box)              ///
	  fysize(`:word `i' of `fsizes'') name(g`i', replace)           
}

graph combine g1 g2 g3, cols(1) ysize(6) imargin(t=0)
exit

