version 10
preserve
drop _all
set scheme s1mono
use ESS

collapse (mean) stflife, by(cntry)

encode cntry, gen(ctrnum)

sum stflife, meanonly
gen meanstflife = r(mean)

// Order of the categorical Axis
egen axis = axis(stflife), label(ctrnum)   // _gaxis.ado from -egenmore-

// We want to display the means with 1 decimal point
format stflife %2.1f

// We want to highlight nordic countries
gen xnordic = axis if inlist(cntry,"NO","FI","IS","SE","DK")
gen ynordic = stflife if !mi(xnordic)
gen ystart = 8.7                  // <- Trial and Error !
gen xstart = axis[_N-4]           // <- Trial and (almost no) Error !

levelsof axis, local(xlab)
graph twoway 				                    		///
  || bar stflife axis, barwidth(0.8) 	   		    	///
  || line meanstflife axis, lcolor(black) 	 		    ///
  || scatter stflife axis  			                    /// 
     , mlab(stflife) mlabpos(6) mlabcolor(white) ms(i)  ///
  || scatteri `=meanstflife[1]' 1 "Average"     /// 
     , mlabpos(1) ms(i) 	                            ///
  || pcarrow ystart xstart ynordic xnordic 	            ///
  || scatteri `=ystart[1]' `=xstart[1]' "Nordic Exceptionalism?"  ///
     , ms(i) mlabpos(12)                                ///
  || , xlab(`xlab', valuelabels) xtitle("") legend(off) ///

exit
