use ESS, clear

// Calculate "controlled" country means 
gen men = gndr==1 if !mi(gndr)
gen unemp = uempla==1 if !mi(uempla)
egen hhinc = xtile(hinctnt), p(20(20)80) by(cntry) // _gxtile from -egenmore-
tab hhinc, gen(hhinc)

// Produce dummies with nice variable names
levelsof cntr, local(K)
foreach k of local K {
	gen byte `k' = cntry == "`k'" if !mi(cntry)
}

reg stflife men hhinc2-hhinc5 AT-UA, hascons 

// Produce resultsset using -parmest-
parmest, fast
drop if parm == "men" | strpos(parm,"hhinc") | parm == "_cons"

compress
save ESS_resultset, replace
exit
