version 10
preserve
drop _all
capture use ESS_resultset
if _rc {
	run example5
	use ESS_resultset
	}


egen ctrname = iso3166(parm), origin(codes)

gen group:group = 2 if inlist(parm,"UA","HU","SK","EE","PL","CZ","SI")
replace group = 3 if inlist(parm,"TR","NO","CH","IS")
replace group = 1 if mi(group)
lab def group 1 "EU-15" 2 "Post socialist"  3 "Other"

egen groupmeans = mean(estimate), by(group)
egen axisgroup = axis(group estimate), label(ctrname) reverse gap

levelsof axisgroup, local(ylab)
graph twoway 		                                       ///
  || line axisgroup groupmeans if group==1, lcolor(gs8)    ///
  || line axisgroup groupmeans if group==2, lcolor(gs8)    ///
  || line axisgroup groupmeans if group==3, lcolor(gs8)    ///
  || scatter axisgroup estimate, mcolor(black) ms(O)       ///
  || rcap min95 max95 axisgroup, lcolor(black) horizontal  ///
  || , ylab(`ylab', valuelabels angle(0) grid gstyle(dot)) /// 
  ytitle("") legend(off) 
exit
