version 10
preserve
drop _all
capture use ESS_resultset
if _rc {
	run example5
	use ESS_resultset
	}


egen ctrname = iso3166(parm), origin(codes)

gen group:group = 2 if inlist(parm,"UA","HU","SK","EE","PL","CZ","SI")
replace group = 3 if inlist(parm,"TR","NO","CH","IS")
replace group = 1 if mi(group)
lab def group 1 "EU-15" 2 "Post socialist"  3 "Other"

egen groupmeans = mean(estimate), by(group)
egen axisgroup = axis(group estimate), label(ctrname) reverse gap

// A situation in which by does not work nicely  
graph twoway 		                                         ///
  || line axisgroup groupmeans, lcolor(gs8)                ///
  || scatter axisgroup estimate, mcolor(black) ms(O)       ///
  || rcap min95 max95 axisgroup, lcolor(black) horizontal  ///
  || , ylab(, valuelabel angle(0) grid)                    ///
  ytitle("") 					                    	           /// 
  by(group, col(1) legend(off) note("") yrescale )


